Subject: [TR] selling excess

From: "Ron L'Herault" <[email-masked]>
Date: Tue, 18 May 2021 15:23:23 -0400

I've got a 1958 TR-3 hood in my garage, and I'd like to give it to someone
who needs it.  I'm in North Attleboro, MA.  It is not perfect, for sure.  It
flew up and smashed the windshield before I owned the car and one edge is
getting rusty from sitting around since 1968 or so.  Come get it! Use it for
a wall hanging, or fix it up for your car. It deserves to live!

Ron L

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive